import request from '@/router/axios'


// 接单审核
export function getPage(query) {
	return request({
		url: '/admin/wmscorepackagestatus/getPage',
		method: 'get',
		params: query
	})
}
export function settleById(obj) {
	return request({
		url: '/admin/settle/settleById',
		method: 'post',
		data: obj
	})
}

export function settleSave(obj) {
	return request({
		url: '/admin/settle/settleSave',
		method: 'post',
		data: obj
	})
}
export function settleSubmit(obj) {
  return request({
    url: '/admin/settle/settleSubmit',
    method: 'post',
    data: obj
  })
}

// 审核
export function approvalStatus(obj) {
	return request({
		url: '/admin/wmscorepackagestatus/approvalStatus',
		method: 'post',
		data: obj
	})
}

// 下载模板
export function templateDownload(data) {
  return request({
    url: '/admin/template-file/download',
    method: 'post',
    responseType: 'arraybuffer',
    data
  })
}
// 根据积分包id查询
export function getPackageById(data) {
  return request({
    url: `/admin/wmscorepackage/${data.id}`,
    method: 'get'
  })
}
